package pacman;

import game.Game;
import game.objects.Creature;
import geometry.Circle;

public class Ghost extends Creature implements PacManEntity {

	protected boolean vulnerable;

	public Ghost(Game game, Circle boundingCircle, double speed) {
		super(game, boundingCircle, game.getContentManager().getImage("ghost"),
				speed);
	}

	@Override
	public void damage(Ghost ghost) {
	}

	@Override
	public void damage(PacMan pacMan) {
		if (!isVulnerable()) {
			pacMan.destroy();
		}
	}

	@Override
	public void damage(Pille pill) {
	}

	public boolean isVulnerable() {
		return vulnerable;
	}

	public void setVulnerable(boolean v) {
		vulnerable = v;
	}
}
