package game;

import game.objects.ObjectManager;
import game.res.ContentManager;

import java.awt.Graphics;


public abstract class Game {
    
    public abstract void update(GameUpdate p);
    
    public abstract void draw(Graphics g);
    
    public abstract GameConfig getConfig();
    
    public abstract ObjectManager getObjectManager();
    
    public abstract ContentManager getContentManager();
    
    public abstract boolean isPaused();
    
    public abstract void setPaused();
}
