package pacman;

import game.Game;
import game.objects.Creature;
import geometry.Circle;

public class PacMan extends Creature implements PacManEntity {

	public PacMan(Game game, Circle boundingCircle, double speed) {
		super(game, boundingCircle,
				game.getContentManager().getImage("pacman"), speed);
	}

	@Override
	public void damage(Ghost ghost) {
		if (ghost.isVulnerable()) {
			ghost.destroy();
		}
	}

	@Override
	public void damage(PacMan pacMan) {
	}

	@Override
    public void damage(Pille pill) {
        pill.destroy();
    }
}
